# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# /tmp/build/80754af9/rsync-recipes/bazel-3.7.2-on-linux_64, last modified Tue May 25 12:28:24 2021
# ------------------------------------------------

package:
  name: bazel
  version: 3.7.2
source:
  patches:
    - 0001-allow-args-to-be-passed-to-bazel_build.patch
    - 0002-do-not-use-enable-gold-unless-supported.patch
    - missing_inttype_h.patch
    - patch2.patch
  sha256: de255bb42163a915312df9f4b86e5b874b46d9e8d4b72604b5123c3a845ed9b1
  url: https://github.com/bazelbuild/bazel/releases/download/3.7.2/bazel-3.7.2-dist.zip
build:
  ignore_prefix_files: true
  ignore_run_exports:
    - libcxx
    - libstdcxx-ng
  missing_dso_whitelist: null
  number: '0'
  string: h2531618_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - binutils_impl_linux-64 2.33.1 he6710b0_7
    - binutils_linux-64 2.33.1 h9595d00_15
    - ca-certificates 2021.4.13 h06a4308_1
    - gcc_impl_linux-64 7.3.0 habb00fd_1
    - gcc_linux-64 7.3.0 h553295d_15
    - gxx_impl_linux-64 7.3.0 hdf63c60_1
    - gxx_linux-64 7.3.0 h553295d_15
    - ld_impl_linux-64 2.33.1 h53a641e_7
    - libffi 3.3 he6710b0_2
    - libgcc-ng 9.1.0 hdf63c60_0
    - libstdcxx-ng 9.1.0 hdf63c60_0
    - ncurses 6.2 he6710b0_1
    - openssl 1.1.1k h27cfd23_0
    - patch 2.7.6 h7b6447c_1001
    - python 3.9.5 hdb3f193_3
    - readline 8.1 h27cfd23_0
    - sqlite 3.35.4 hdfb4753_0
    - tk 8.6.10 hbc83047_0
    - tzdata 2020f h52ac0ba_0
    - xz 5.2.5 h7b6447c_0
    - zlib 1.2.11 h7b6447c_3
  host:
    - _libgcc_mutex 0.1 main
    - libgcc-ng 9.1.0 hdf63c60_0
    - openjdk 8.0.152 h7b6447c_3
    - unzip 6.0 h611a1e1_0
    - zip 3.0 h1adfe0e_0
  run:
    - libgcc-ng >=7.3.0
    - openjdk >=8
test:
  commands:
    - bazel -h
    - readelf -d $PREFIX/bin/bazel
    - conda inspect linkages -p $PREFIX bazel
  requires:
    - gcc_linux-64 7.3.0.*
    - gxx_linux-64 7.3.0.*
about:
  description: 'Bazel is Google''s own build tool, now publicly available in Beta.
    Bazel has

    built-in support for building both client and server software, including

    client applications for both Android and iOS platforms. It also provides an

    extensible framework that you can use to develop your own build rules.

    '
  dev_url: https://github.com/bazelbuild/bazel
  doc_url: https://www.bazel.io/versions/master/docs/install.html
  home: https://www.bazel.io/
  license: Apache 2.0
  license_family: Apache
  license_file: LICENSE
  summary: build system originally authored by Google
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - jjhelmus
    - nehaljwani
